package de.dhbwstuttgart.languageServerInterface.model;



import de.dhbwstuttgart.syntaxtree.SourceFile;
import de.dhbwstuttgart.target.generate.GenericsResult;
import de.dhbwstuttgart.typeinference.result.ResultSet;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class LanguageServerTransferObject {
    List<ResultSet> resultSets;
    SourceFile Ast;
    String printedAst;
    Map<SourceFile, List<GenericsResult>> generatedGenerics = new HashMap<>();


    public LanguageServerTransferObject(List<ResultSet> resultSets, SourceFile Ast, String printedAst, Map<SourceFile, List<GenericsResult>> generatedGenerics) {
        this.resultSets = resultSets;
        this.Ast = Ast;
        this.printedAst = printedAst;
        this.generatedGenerics = generatedGenerics;
    }

    public List<ResultSet> getResultSets() {return resultSets;}
    public SourceFile getAst() {return Ast;}
    public String getPrintedAst() {return printedAst;}
    public Map<SourceFile, List<GenericsResult>> getGeneratedGenerics() {return generatedGenerics;}
}
